Package org.opencv.xfeatures2d

## Class AffineFeature2D

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.AffineFeature2D

- Direct Known Subclasses:
    `TBMR`

      public class AffineFeature2D
      extends Feature2D

  Class implementing affine adaptation for key points. A REF: FeatureDetector and a REF: DescriptorExtractor are wrapped to augment the detected points with their affine invariant elliptic region and to compute the feature descriptors on the regions after warping them into circles. The interface is equivalent to REF: Feature2D, adding operations for REF: Elliptic_KeyPoint "Elliptic_KeyPoints" instead of REF: KeyPoint "KeyPoints".

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AffineFeature2D​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AffineFeature2D` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, getDefaultName, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AffineFeature2D

          protected AffineFeature2D​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AffineFeature2D __fromPtr__​(long addr)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`